
Core - Bug # 57291

Status: Resolved Priority: Must have
Author: Sebastian Lechenbauer Category: Workspaces
Created: 2014-03-25 Assigned To:
Updated: 2014-03-26 Due date:
TYPO3 Version: 6.2
PHP Version: 5.4
Complexity: no-brainer
Is Regression: Yes
Sprint Focus:
Subject: RelationHandler->purgeItemArray() should use isTableWorkspaceEnabled check
Description

The purgeItemArray method produces database errors ("Unknown column 't3ver_oid' in 'field list'") if there are mm relations without
workspace support.
A check for BackendUtility::isTableWorkspaceEnabled solves the problem.
(See http://forge.typo3.org/issues/57169)

Related issues:
related to Core - Task # 57169: Invalid relations of MM records in workspaces Resolved 2014-03-21
duplicated by Core - Bug # 57303: DB Error when editing a record without vers... Closed 2014-03-25

Associated revisions
Revision 022a3fc0 - 2014-03-26 10:37 - Sebastian Lechenbauer

[BUGFIX] Check WorkspaceEnabled for MM field related table

If you try to edit a MM field associated to a table which doesn't use
versioning (t3ver_* fields are missing) you get a database error.
This patch adds a check if versioning for the table is enabled.

Resolves: #57291
Releases: 6.2
Change-Id: I3fc5dfeb77ce9a67a6e4494a3b2247c3007d0d25
Reviewed-on: https://review.typo3.org/28783
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History
#1 - 2014-03-25 17:56 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28783

#2 - 2014-03-25 17:57 - Alexander Opitz

Pushed the added patch to gerrit.
#3 - 2014-03-25 18:04 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28783

#4 - 2014-03-25 18:23 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28783

#5 - 2014-03-25 18:47 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28783

#6 - 2014-03-25 18:59 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28783

#7 - 2014-03-26 08:15 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28783

#8 - 2014-03-26 09:08 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28783

#9 - 2014-03-26 09:14 - Oliver Hader
- Is Regression changed from No to Yes

#10 - 2014-03-26 09:15 - Oliver Hader
- Priority changed from Should have to Must have

#11 - 2014-03-26 09:15 - Oliver Hader
- Target version set to next-patchlevel

#12 - 2014-03-26 10:14 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28783

#13 - 2014-03-26 11:30 - Sebastian Lechenbauer
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:022a3fc0fceaf3ceac862be9ca1c56414d1da9c9.

Files
RelationHandler.patch 1.3 kB 2014-03-25 Sebastian Lechenbauer
